default:
  image: registry.gitlab.com/a-core/a-core_chisel/ci-chisel-container:master

pages:
  script:
    - ./ci/build-scaladoc-docs.sh
  artifacts:
    paths:
      - public
  rules:
    - if: '$CI_COMMIT_BRANCH == "master"'
  when: always

chisel-test-im:
  stage: test
  script:
    - ./init_submodules.sh
    - ./configure
    - make test
  rules:
    - if: '$CI_COMMIT_BRANCH == "master" || $CI_PIPELINE_SOURCE == "merge_request_event"'
      when: always
    - when: manual

chisel-test-f:
  stage: test
  allow_failure: true
  script:
    - ./init_submodules.sh
    - ./configure
    - make test_f
  rules:
    - if: '$CI_COMMIT_BRANCH == "master" || $CI_PIPELINE_SOURCE == "merge_request_event"'
      when: always
    - when: manual

lsu-formal-test:
  stage: test
  script:
    - ./init_submodules.sh
    - ./configure
    - make bmc_LSU
    - make cover_LSU
    - make prove_LSU
  rules:
    - if: '$CI_COMMIT_BRANCH == "master" || $CI_PIPELINE_SOURCE == "merge_request_event"'
      when: always
    - when: manual

